name: Bug report (Web - CSS - JS)
description: Report a bug which occurs in a web application
title: "Bug: "
labels: ["bug", "needs-triage"]
body:
  - type: markdown
    attributes:
      value: |
        Thanks for taking the time to fill up this bug report!

        There are a lot of different ways of using Font Awesome. In order to help us
        debugging, please provide as much information as you can.

        A reduced reproducible test case would definitely help the process.
  - type: textarea
    id: description
    attributes:
      label: Bug description
      description: What happened? What are you seeing? How did you arrive here?
    validations:
      required: true
  - type: input
    id: reproducible-test-case
    attributes:
      label: Reproducible test case
      description: Provide a URL to a reproducible use case. Use codepen.io, jsfiddle.net, jsbin.com, codesandbox.io, or whatever.
  - type: textarea
    id: screenshots
    attributes:
      label: Screenshots
      description: Add screenshots to help explain your problem
  - type: input
    id: version
    attributes:
      label: Font Awesome version
      description: Provide the version of Font Awesome affected by this bug
      placeholder: v6.0.0
    validations:
      required: true
  - type: dropdown
    id: serving
    attributes:
      label: Serving
      multiple: true
      options:
        - Kit
        - Font Awesome CDN
        - Self-hosted
        - Other (as specified in the bug description)
    validations:
      required: true
  - type: dropdown
    id: implementation
    attributes:
      label: Implementation
      multiple: true
      options:
        - CSS
        - SVG+JS
        - SVG Sprites
        - Other (as specified in the bug description)
    validations:
      required: true
  - type: textarea
    id: browser-operating-system
    attributes:
      label: Browser and Operating System
      description: Provide information about the browser and operating system affected by this bug. [List of supported browsers](https://fontawesome.com/v6/docs/web/dig-deeper/browser-support)
      placeholder: |
        - Chrome 94 on Windows 10
        - Firefox 92 on macOS
    validations:
      required: true
  - type: checkboxes
    id: web-bug-report-checklist
    attributes:
      label: Web bug report checklist
      options:
        - label: 'I have included a test case because my odds go _way_ up that the team can fix this when I do'
        - label: 'I have [searched for existing issues](https://github.com/FortAwesome/Font-Awesome/issues) and to the best of my knowledge this is not a duplicate'
          required: true
